diff --git a/gcc/cp/init.c b/gcc/cp/init.c
index 4ad2cae..32982cc 100644
--- a/gcc/cp/init.c
+++ b/gcc/cp/init.c
@@ -2197,7 +2197,7 @@ constant_value_1 (tree decl, bool strict_p, bool return_aggregate_cst_ok_p)
 	init = TREE_VALUE (init);
       /* Instantiate a non-dependent initializer for user variables.  We
 	 mustn't do this for the temporary for an array compound literal;
-	 trying to instatiate the initializer will keep creating new
+	 trying to instantiate the initializer will keep creating new
 	 temporaries until we crash.  Probably it's not useful to do it for
 	 other artificial variables, either.  */
       if (!DECL_ARTIFICIAL (decl))
@@ -2488,7 +2488,7 @@ warn_placement_new_too_small (tree type, tree nelts, tree size, tree oper)
      is a constant.  */
   if (TREE_CODE (oper) == POINTER_PLUS_EXPR)
     {
-      /* If the offset is comple-time constant, use it to compute a more
+      /* If the offset is compile-time constant, use it to compute a more
 	 accurate estimate of the size of the buffer.  Since the operand
 	 of POINTER_PLUS_EXPR is represented as an unsigned type, convert
 	 it to signed first.
@@ -3601,7 +3601,7 @@ build_new (vec<tree, va_gc> **placement, tree type, tree nelts,
       /* The expression in a noptr-new-declarator is erroneous if it's of
 	 non-class type and its value before converting to std::size_t is
 	 less than zero. ... If the expression is a constant expression,
-	 the program is ill-fomed.  */
+	 the program is ill-formed.  */
       if (INTEGER_CST == TREE_CODE (cst_nelts)
 	  && tree_int_cst_sgn (cst_nelts) == -1)
 	{
diff --git a/gcc/cp/lex.c b/gcc/cp/lex.c
index 5dc9eee..6261c8f 100644
--- a/gcc/cp/lex.c
+++ b/gcc/cp/lex.c
@@ -479,7 +479,7 @@ unqualified_fn_lookup_error (cp_expr name_expr)
 
 	 Note that we have the exact wording of the following message in
 	 the manual (trouble.texi, node "Name lookup"), so they need to
-	 be kept in synch.  */
+	 be kept in sync.  */
       permerror (loc, "there are no arguments to %qD that depend on a template "
 		 "parameter, so a declaration of %qD must be available",
 		 name, name);
diff --git a/gcc/cp/mangle.c b/gcc/cp/mangle.c
index 42290fe..0320925 100644
--- a/gcc/cp/mangle.c
+++ b/gcc/cp/mangle.c
@@ -1422,7 +1422,7 @@ write_unqualified_name (tree decl)
 	    decl = res;
 	  else if (flag_abi_version == 10)
 	    {
-	      /* In ABI 10, we want explict and implicit tags.  */
+	      /* In ABI 10, we want explicit and implicit tags.  */
 	      write_abi_tags (mtags);
 	      return;
 	    }
diff --git a/gcc/cp/name-lookup.c b/gcc/cp/name-lookup.c
index 041d51c..1e6ea6c 100644
--- a/gcc/cp/name-lookup.c
+++ b/gcc/cp/name-lookup.c
@@ -39,7 +39,7 @@ static void set_identifier_type_value_with_scope (tree id, tree decl,
 						  cp_binding_level *b);
 
 /* Create an overload suitable for recording an artificial TYPE_DECL
-   and another decl.  We use this machanism to implement the struct
+   and another decl.  We use this mechanism to implement the struct
    stat hack within a namespace.  It'd be nice to use it everywhere.  */
 
 #define STAT_HACK_P(N) ((N) && TREE_CODE (N) == OVERLOAD && OVL_LOOKUP_P (N))
@@ -285,7 +285,7 @@ vec<tree, va_heap, vl_embed> *name_lookup::shared_scopes;
 name_lookup *name_lookup::active;
 
 /* Name lookup is recursive, becase ADL can cause template
-   instatiation.  This is of course a rare event, so we optimize for
+   instantiation.  This is of course a rare event, so we optimize for
    it not happening.  When we discover an active name-lookup, which
    must be an ADL lookup,  we need to unmark the marked scopes and also
    unmark the lookup we might have been accumulating.  */
@@ -414,7 +414,7 @@ name_lookup::ambiguous (tree thing, tree current)
   return current;
 }
 
-/* FNS is a new overload set to add to the exising set.  */
+/* FNS is a new overload set to add to the existing set.  */
 
 void
 name_lookup::add_overload (tree fns)
@@ -2441,7 +2441,7 @@ do_pushdecl (tree decl, bool is_friend)
 	    }
 
 	  /* If this is a locally defined typedef in a function that
-	     is not a template instantation, record it to implement
+	     is not a template instantiation, record it to implement
 	     -Wunused-local-typedefs.  */
 	  if (!instantiating_current_function_p ())
 	    record_locally_defined_typedef (decl);
@@ -4892,7 +4892,7 @@ suggest_alternative_in_explicit_scope (location_t location, tree name,
   best_match <tree, const char *> bm (name);
   consider_binding_level (name, bm, level, false, FUZZY_LOOKUP_NAME);
 
-  /* See if we have a good suggesion for the user.  */
+  /* See if we have a good suggestion for the user.  */
   const char *fuzzy_name = bm.get_best_meaningful_candidate ();
   if (fuzzy_name)
     {
diff --git a/gcc/cp/name-lookup.h b/gcc/cp/name-lookup.h
index 2e2075c..306c5ca 100644
--- a/gcc/cp/name-lookup.h
+++ b/gcc/cp/name-lookup.h
@@ -112,7 +112,7 @@ enum scope_kind {
 			of an if or switch statement.  */
   sk_function_parms, /* The scope containing function parameters.  */
   sk_class,	     /* The scope containing the members of a class.  */
-  sk_scoped_enum,    /* The scope containing the enumertors of a C++0x
+  sk_scoped_enum,    /* The scope containing the enumerators of a C++0x
                         scoped enumeration.  */
   sk_namespace,	     /* The scope containing the members of a
 			namespace, including the global scope.  */
diff --git a/gcc/cp/parser.c b/gcc/cp/parser.c
index 313eebb..2f64e30 100644
--- a/gcc/cp/parser.c
+++ b/gcc/cp/parser.c
@@ -25635,7 +25635,7 @@ cp_parser_lookup_name (cp_parser *parser, tree name,
 	}
 
       /* If the scope is a dependent type and either we deferred lookup or
-	 we did lookup but didn't find the name, rememeber the name.  */
+	 we did lookup but didn't find the name, remember the name.  */
       if (decl == error_mark_node && TYPE_P (parser->scope)
 	  && dependent_type_p (parser->scope))
 	{
diff --git a/gcc/cp/pt.c b/gcc/cp/pt.c
index a04f2e0..486f213 100644
--- a/gcc/cp/pt.c
+++ b/gcc/cp/pt.c
@@ -857,7 +857,7 @@ maybe_new_partial_specialization (tree type)
       tree args = CLASSTYPE_TI_ARGS (type);
 
       // If there are no template parameters, this cannot be a new
-      // partial template specializtion?
+      // partial template specialization?
       if (!current_template_parms)
         return NULL_TREE;
 
@@ -11246,7 +11246,7 @@ tsubst_unary_left_fold (tree t, tree args, tsubst_flags_t complain,
 
 /* Substitute into a binary left fold expression.
 
-   Do ths by building a single (non-empty) vector of argumnts and
+   Do ths by building a single (non-empty) vector of arguments and
    building the expression from those elements. */
 
 static tree
@@ -25703,7 +25703,7 @@ append_type_to_template_for_access_check_1 (tree t,
 
 /* Append TYPE_DECL to the template TEMPL.
    TEMPL is either a class type, a FUNCTION_DECL or a a TEMPLATE_DECL.
-   At TEMPL instanciation time, TYPE_DECL will be checked to see
+   At TEMPL instantiation time, TYPE_DECL will be checked to see
    if it can be accessed through SCOPE.
    LOCATION is the location of the usage point of TYPE_DECL.
 
@@ -25958,7 +25958,7 @@ lookup_constraint_satisfaction (tree ci, tree args)
     return NULL_TREE;
 }
 
-/* Memoize the result of a satisfication test. Returns the saved result.  */
+/* Memoize the result of a satisfaction test. Returns the saved result.  */
 
 tree
 memoize_constraint_satisfaction (tree ci, tree args, tree result)
diff --git a/gcc/cp/tree.c b/gcc/cp/tree.c
index bb17278..02d9b16 100644
--- a/gcc/cp/tree.c
+++ b/gcc/cp/tree.c
@@ -612,7 +612,7 @@ build_cplus_new (tree type, tree init, tsubst_flags_t complain)
 }
 
 /* Subroutine of build_vec_init_expr: Build up a single element
-   intialization as a proxy for the full array initialization to get things
+   initialization as a proxy for the full array initialization to get things
    marked as used and any appropriate diagnostics.
 
    Since we're deferring building the actual constructor calls until
diff --git a/gcc/cp/vtable-class-hierarchy.c b/gcc/cp/vtable-class-hierarchy.c
index 1162b8c..6822c15 100644
--- a/gcc/cp/vtable-class-hierarchy.c
+++ b/gcc/cp/vtable-class-hierarchy.c
@@ -51,7 +51,7 @@ along with GCC; see the file COPYING3.  If not see
   hacker targets.
 
   To find and reference the set of valid vtable pointers for any given
-  virtual class, we create a special global varible for each virtual
+  virtual class, we create a special global variable for each virtual
   class.  We refer to this as the "vtable map variable" for that
   class.  The vtable map variable has the type "void *", and is
   initialized by the compiler to NULL.  At runtime when the set of
@@ -436,9 +436,9 @@ vtv_compute_class_hierarchy_transitive_closure (void)
    offset into the vtable (VTABLE_DECL).  It is the actual vtable
    pointer address that will be stored in our list of valid vtable
    pointers for BASE_CLASS.  BASE_CLASS is the record_type node for
-   the base class to whose hiearchy we want to add
+   the base class to whose hierarchy we want to add
    VPTR_ADDRESS. (VTABLE_DECL should be the vtable for BASE_CLASS or
-   one of BASE_CLASS' descendents.  */
+   one of BASE_CLASS' descendants.  */
 
 static bool
 check_and_record_registered_pairs (tree vtable_decl, tree vptr_address,
@@ -1131,7 +1131,7 @@ write_out_vtv_count_data (void)
    init function).  It also generates the calls to
    __VLTChangePermission, if the verification constructor init
    function is going into the preinit array.  INIT_ROUTINE_BODY is
-   the body of our constructior initialization function, to which we
+   the body of our constructor initialization function, to which we
    add our function calls.*/
 
 bool
@@ -1200,7 +1200,7 @@ vtv_generate_init_routine (void)
   pop_lang_context ();
 }
 
-/* This funtion takes a tree containing a class type (BASE_TYPE), and
+/* This function takes a tree containing a class type (BASE_TYPE), and
    it either finds the existing vtbl_map_node for that class in our
    data structure, or it creates a new node and adds it to the data
    structure if there is not one for the class already.  As part of
@@ -1247,7 +1247,7 @@ vtable_find_or_create_map_decl (tree base_type)
       DECL_IGNORED_P (var_decl) = 1;
       DECL_PRESERVE_P (var_decl) = 1;
 
-      /* Put these mmap variables in thr .vtable_map_vars section, so
+      /* Put these mmap variables in the .vtable_map_vars section, so
          we can find and protect them.  */
 
       set_decl_section_name (var_decl, ".vtable_map_vars");
diff --git a/gcc/cse.c b/gcc/cse.c
index 6a968d1..7464476 100644
--- a/gcc/cse.c
+++ b/gcc/cse.c
@@ -4314,7 +4314,7 @@ canon_asm_operands (rtx x, rtx_insn *insn)
 /* Where possible, substitute every register reference in the N_SETS
    number of SETS in INSN with the canonical register.
 
-   Register canonicalization propagatest the earliest register (i.e.
+   Register canonicalization propagates the earliest register (i.e.
    one that is set before INSN) with the same value.  This is a very
    useful, simple form of CSE, to clean up warts from expanding GIMPLE
    to RTL.  For instance, a CONST for an address is usually expanded
@@ -6979,7 +6979,7 @@ count_stores (rtx x, const_rtx set ATTRIBUTE_UNUSED, void *data)
 
 /* Return if DEBUG_INSN pattern PAT needs to be reset because some dead
    pseudo doesn't have a replacement.  COUNTS[X] is zero if register X
-   is dead and REPLACEMENTS[X] is null if it has no replacemenet.
+   is dead and REPLACEMENTS[X] is null if it has no replacement.
    Set *SEEN_REPL to true if we see a dead register that does have
    a replacement.  */
 
diff --git a/gcc/cselib.c b/gcc/cselib.c
index 74c25ac..803c8c0 100644
--- a/gcc/cselib.c
+++ b/gcc/cselib.c
@@ -85,7 +85,7 @@ struct cselib_hasher : nofree_ptr_hash <cselib_val>
        integers).  */
     machine_mode mode;
     rtx x;
-    /* The mode of the contaning MEM, if any, otherwise VOIDmode.  */
+    /* The mode of the containing MEM, if any, otherwise VOIDmode.  */
     machine_mode memmode;
   };
   typedef key *compare_type;
@@ -2688,7 +2688,7 @@ cselib_process_insn (rtx_insn *insn)
       for (x = CALL_INSN_FUNCTION_USAGE (insn); x; x = XEXP (x, 1))
 	if (GET_CODE (XEXP (x, 0)) == CLOBBER)
 	  cselib_invalidate_rtx (XEXP (XEXP (x, 0), 0));
-      /* Flush evertything on setjmp.  */
+      /* Flush everything on setjmp.  */
       if (cselib_preserve_constants
 	  && find_reg_note (insn, REG_SETJMP, NULL))
 	{
diff --git a/gcc/dce.c b/gcc/dce.c
index 7534d2a..44c9b1a 100644
--- a/gcc/dce.c
+++ b/gcc/dce.c
@@ -606,7 +606,7 @@ delete_unmarked_insns (void)
 	  remove_reg_equal_equiv_notes_for_defs (insn);
 
 	  /* If a pure or const call is deleted, this may make the cfg
-	     have unreachable blocks.  We rememeber this and call
+	     have unreachable blocks.  We remember this and call
 	     delete_unreachable_blocks at the end.  */
 	  if (CALL_P (insn))
 	    must_clean = true;
diff --git a/gcc/df-problems.c b/gcc/df-problems.c
index 755aecf..9368b98 100644
--- a/gcc/df-problems.c
+++ b/gcc/df-problems.c
@@ -1018,7 +1018,7 @@ df_lr_finalize (bitmap all_blocks)
 
       /* If dce deletes some instructions, we need to recompute the lr
 	 solution before proceeding further.  The problem is that fast
-	 dce is a pessimestic dataflow algorithm.  In the case where
+	 dce is a pessimistic dataflow algorithm.  In the case where
 	 it deletes a statement S inside of a loop, the uses inside of
 	 S may not be deleted from the dataflow solution because they
 	 were carried around the loop.  While it is conservatively
diff --git a/gcc/double-int.h b/gcc/double-int.h
index 2c70bb5..c01a671 100644
--- a/gcc/double-int.h
+++ b/gcc/double-int.h
@@ -52,14 +52,14 @@ struct double_int
      Two things prevent us from doing so.
      First, defining a constructor makes the class non-POD in C++03,
      and we certainly want double_int to be a POD.
-     Second, the GCC conding conventions prefer explicit conversion,
+     Second, the GCC coding conventions prefer explicit conversion,
      and explicit conversion operators are not available until C++11.  */
 
   static double_int from_uhwi (unsigned HOST_WIDE_INT cst);
   static double_int from_shwi (HOST_WIDE_INT cst);
   static double_int from_pair (HOST_WIDE_INT high, unsigned HOST_WIDE_INT low);
 
-  /* Construct from a fuffer of length LEN.  BUFFER will be read according
+  /* Construct from a buffer of length LEN.  BUFFER will be read according
      to byte endianness and word endianness.  */
   static double_int from_buffer (const unsigned char *buffer, int len);
 
diff --git a/gcc/dwarf2cfi.c b/gcc/dwarf2cfi.c
index 2a527c9..49aa0b0 100644
--- a/gcc/dwarf2cfi.c
+++ b/gcc/dwarf2cfi.c
@@ -1835,7 +1835,7 @@ dwarf2out_frame_debug_expr (rtx expr)
 
           /* Rule 18: If stack is aligned, we will use FP as a
 	     reference to represent the address of the stored
-	     regiser.  */
+	     register.  */
           if (fde
               && fde->stack_realign
 	      && REG_P (src)
diff --git a/gcc/dwarf2out.c b/gcc/dwarf2out.c
index 036d0a8..c410b56 100644
--- a/gcc/dwarf2out.c
+++ b/gcc/dwarf2out.c
@@ -3240,7 +3240,7 @@ static GTY(()) vec<dw_die_ref, va_gc> *abbrev_die_table;
 
 /* A hash map to remember the stack usage for DWARF procedures.  The value
    stored is the stack size difference between before the DWARF procedure
-   invokation and after it returned.  In other words, for a DWARF procedure
+   invocation and after it returned.  In other words, for a DWARF procedure
    that consumes N stack slots and that pushes M ones, this stores M - N.  */
 static hash_map<dw_die_ref, int> *dwarf_proc_stack_usage_map;
 
@@ -17107,7 +17107,7 @@ function_to_dwarf_procedure (tree fndecl)
 /* Generate Dwarf location list representing LOC.
    If WANT_ADDRESS is false, expression computing LOC will be computed
    If WANT_ADDRESS is 1, expression computing address of LOC will be returned
-   if WANT_ADDRESS is 2, expression computing address useable in location
+   if WANT_ADDRESS is 2, expression computing address usable in location
      will be returned (i.e. DW_OP_reg can be used
      to refer to register values).
 
@@ -18241,7 +18241,7 @@ field_byte_offset (const_tree decl, struct vlr_context *ctx,
     tree_result = fold_build2 (PLUS_EXPR, TREE_TYPE (tree_result),
 			       ctx->variant_part_offset, tree_result);
 
-  /* If the byte offset is a constant, it's simplier to handle a native
+  /* If the byte offset is a constant, it's simpler to handle a native
      constant rather than a DWARF expression.  */
   if (TREE_CODE (tree_result) == INTEGER_CST)
     {
@@ -18395,7 +18395,7 @@ add_data_member_location_attribute (dw_die_ref die,
 	  offset = 0;
 	}
 
-      /* Data member location evalutation starts with the base address on the
+      /* Data member location evaluation starts with the base address on the
 	 stack.  Compute the field offset and add it to this base address.  */
       else if (loc_descr != NULL)
 	add_loc_descr (&loc_descr, new_loc_descr (DW_OP_plus, 0, 0));
@@ -18406,7 +18406,7 @@ add_data_member_location_attribute (dw_die_ref die,
       /* While DW_AT_data_bit_offset has been added already in DWARF4,
 	 e.g. GDB only added support to it in November 2016.  For DWARF5
 	 we need newer debug info consumers anyway.  We might change this
-	 to dwarf_version >= 4 once most consumers catched up.  */
+	 to dwarf_version >= 4 once most consumers are caught up.  */
       if (dwarf_version >= 5
 	  && TREE_CODE (decl) == FIELD_DECL
 	  && DECL_BIT_FIELD_TYPE (decl))
@@ -19885,7 +19885,7 @@ add_bound_info (dw_die_ref subrange_die, enum dwarf_attribute bound_attr,
       default:
 	/* Because of the complex interaction there can be with other GNAT
 	   encodings, GDB isn't ready yet to handle proper DWARF description
-	   for self-referencial subrange bounds: let GNAT encodings do the
+	   for self-referential subrange bounds: let GNAT encodings do the
 	   magic in such a case.  */
 	if (is_ada ()
 	    && gnat_encodings != DWARF_GNAT_ENCODINGS_MINIMAL
@@ -21637,7 +21637,7 @@ dwarf2out_abstract_function (tree decl)
 
   /* We can be called while recursively when seeing block defining inlined subroutine
      DIE.  Be sure to not clobber the outer location table nor use it or we would
-     get locations in abstract instantces.  */
+     get locations in abstract instances.  */
   old_decl_loc_table = decl_loc_table;
   decl_loc_table = NULL;
   old_cached_dw_loc_list_table = cached_dw_loc_list_table;
@@ -22322,7 +22322,7 @@ gen_subprogram_die (tree decl, dw_die_ref context_die)
       resolve_variable_values ();
     }
 
-  /* Generate child dies for template paramaters.  */
+  /* Generate child dies for template parameters.  */
   if (early_dwarf && debug_info_level > DINFO_LEVEL_TERSE)
     gen_generic_params_dies (decl);
 
@@ -23866,7 +23866,7 @@ analyze_variants_discr (tree variant_part_decl,
 		goto abort;
 
 	      /* Extract the discriminant from the first operand and check it
-		 is consistant with the same analysis in the second
+		 is consistent with the same analysis in the second
 		 operand.  */
 	      candidate_discr_1
 	        = analyze_discr_in_predicate (TREE_OPERAND (lower_op, 0),
@@ -23907,7 +23907,7 @@ analyze_variants_discr (tree variant_part_decl,
 	       matching discriminant values.  Abort everything.  */
 	    goto abort;
 
-	  /* If the discriminant info is not consistant with what we saw so
+	  /* If the discriminant info is not consistent with what we saw so
 	     far, consider the analysis failed and abort everything.  */
 	  if (candidate_discr == NULL_TREE
 	      || (*discr_decl != NULL_TREE && candidate_discr != *discr_decl))
@@ -23990,7 +23990,7 @@ gen_variant_part (tree variant_part_decl, struct vlr_context *vlr_ctx,
 	add_AT_die_ref (variant_part_die, DW_AT_discr, discr_die);
       else
 	/* We have no DIE for the discriminant, so just discard all
-	   discrimimant information in the output.  */
+	   discriminant information in the output.  */
 	discr_decl = NULL_TREE;
     }
 
@@ -24255,7 +24255,7 @@ gen_struct_or_union_type_die (tree type, dw_die_ref context_die,
 
   scope_die = scope_die_for (type, context_die);
 
-  /* Generate child dies for template paramaters.  */
+  /* Generate child dies for template parameters.  */
   if (!type_die && debug_info_level > DINFO_LEVEL_TERSE)
     schedule_generic_params_dies_gen (type);
 
@@ -24834,10 +24834,10 @@ gen_block_die (tree stmt, dw_die_ref context_die)
 	{
 	  /* If STMT block is abstract, that means we have been called
 	     indirectly from dwarf2out_abstract_function.
-	     That function rightfully marks the descendent blocks (of
+	     That function rightfully marks the descendant blocks (of
 	     the abstract function it is dealing with) as being abstract,
 	     precisely to prevent us from emitting any
-	     DW_TAG_inlined_subroutine DIE as a descendent
+	     DW_TAG_inlined_subroutine DIE as a descendant
 	     of an abstract function instance. So in that case, we should
 	     not call gen_inlined_subroutine_die.
 
@@ -25365,7 +25365,7 @@ gen_decl_die (tree decl, tree origin, struct vlr_context *ctx,
 	 DW_TAG_union_type, or DW_TAG_enumeration_type DIE here.  But nothing
 	 should be actually referencing those DIEs, as variable DIEs with that
 	 type would be emitted already in the abstract origin, so it was always
-	 removed during unused type prunning.  Don't add anything in this
+	 removed during unused type pruning.  Don't add anything in this
 	 case.  */
       if (TYPE_DECL_IS_STUB (decl) && decl_ultimate_origin (decl) != NULL_TREE)
 	break;
@@ -27372,7 +27372,7 @@ dwarf2out_init (const char *filename ATTRIBUTE_UNUSED)
     equate_decl_number_to_die (main_translation_unit, comp_unit_die ());
 }
 
-/* Called before compile () starts outputtting functions, variables
+/* Called before compile () starts outputting functions, variables
    and toplevel asms into assembly.  */
 
 static void
@@ -30186,7 +30186,7 @@ resolve_variable_value (dw_die_ref die)
       }
 }
 
-/* Attempt to optimize DW_OP_GNU_variable_value refering to
+/* Attempt to optimize DW_OP_GNU_variable_value referring to
    temporaries in the current function.  */
 
 static void
diff --git a/gcc/dwarf2out.h b/gcc/dwarf2out.h
index 9402473..75560c7 100644
--- a/gcc/dwarf2out.h
+++ b/gcc/dwarf2out.h
@@ -242,7 +242,7 @@ struct GTY((chain_next ("%h.dw_loc_next"))) dw_loc_descr_node {
      from DW_OP_addr with a dtp-relative symbol relocation.  */
   unsigned int dtprel : 1;
   /* For DW_OP_pick, DW_OP_dup and DW_OP_over operations: true iff.
-     it targets a DWARF prodecure argument.  In this case, it needs to be
+     it targets a DWARF procedure argument.  In this case, it needs to be
      relocated according to the current frame offset.  */
   unsigned int frame_offset_rel : 1;
   int dw_loc_addr;
diff --git a/gcc/edit-context.c b/gcc/edit-context.c
index 6f35ca2..b722f77 100644
--- a/gcc/edit-context.c
+++ b/gcc/edit-context.c
@@ -172,7 +172,7 @@ class edited_line
 };
 
 /* Class for representing edit events that have occurred on one line of
-   one file: the replacement of some text betweeen some columns
+   one file: the replacement of some text between some columns
    on the line.
 
    Subsequent events will need their columns adjusting if they're
diff --git a/gcc/emit-rtl.h b/gcc/emit-rtl.h
index da60a2d..ba3ae43 100644
--- a/gcc/emit-rtl.h
+++ b/gcc/emit-rtl.h
@@ -75,12 +75,12 @@ struct GTY(()) rtl_data {
      result in a register, current_function_return_rtx will always be
      the hard register containing the result.  */
   rtx return_rtx;
-  /* If nonxero, an RTL expression for the lcoation at which the current
+  /* If nonzero, an RTL expression for the location at which the current
      function returns bounds for its result.  */
   rtx return_bnd;
 
   /* Vector of initial-value pairs.  Each pair consists of a pseudo
-     register of approprite mode that stores the initial value a hard
+     register of appropriate mode that stores the initial value a hard
      register REGNO, and that hard register itself.  */
   /* ??? This could be a VEC but there is currently no way to define an
 	 opaque VEC type.  */
diff --git a/gcc/except.h b/gcc/except.h
index 87eab55..56a4c31 100644
--- a/gcc/except.h
+++ b/gcc/except.h
@@ -170,7 +170,7 @@ struct GTY(()) eh_region_d
   struct eh_landing_pad_d *landing_pads;
 
   /* EXC_PTR and FILTER values copied from the runtime for this region.
-     Each region gets its own psuedos so that if there are nested exceptions
+     Each region gets its own pseudos so that if there are nested exceptions
      we do not overwrite the values of the first exception.  */
   rtx exc_ptr_reg, filter_reg;
 
diff --git a/gcc/expmed.c b/gcc/expmed.c
index 0c81280..e65c95d 100644
--- a/gcc/expmed.c
+++ b/gcc/expmed.c
@@ -633,7 +633,7 @@ store_bit_field_using_insv (const extraction_insn *insv, rtx op0,
   /* There are similar overflow check at the start of store_bit_field_1,
      but that only check the situation where the field lies completely
      outside the register, while there do have situation where the field
-     lies partialy in the register, we need to adjust bitsize for this
+     lies partially in the register, we need to adjust bitsize for this
      partial overflow situation.  Without this fix, pr48335-2.c on big-endian
      will broken on those arch support bit insert instruction, like arm, aarch64
      etc.  */
diff --git a/gcc/expr.c b/gcc/expr.c
index 5febf07..50ae044 100644
--- a/gcc/expr.c
+++ b/gcc/expr.c
@@ -2875,7 +2875,7 @@ use_group_regs (rtx *call_fusage, rtx regs)
 }
 
 /* Return the defining gimple statement for SSA_NAME NAME if it is an
-   assigment and the code of the expresion on the RHS is CODE.  Return
+   assignment and the code of the expression on the RHS is CODE.  Return
    NULL otherwise.  */
 
 static gimple *
@@ -2895,7 +2895,7 @@ get_def_for_expr (tree name, enum tree_code code)
 }
 
 /* Return the defining gimple statement for SSA_NAME NAME if it is an
-   assigment and the class of the expresion on the RHS is CLASS.  Return
+   assignment and the class of the expression on the RHS is CLASS.  Return
    NULL otherwise.  */
 
 static gimple *
@@ -8076,7 +8076,7 @@ expand_expr_real (tree exp, rtx target, machine_mode tmode,
 }
 
 /* Try to expand the conditional expression which is represented by
-   TREEOP0 ? TREEOP1 : TREEOP2 using conditonal moves.  If it succeeds
+   TREEOP0 ? TREEOP1 : TREEOP2 using conditional moves.  If it succeeds
    return the rtl reg which represents the result.  Otherwise return
    NULL_RTX.  */
 
@@ -8099,7 +8099,7 @@ expand_cond_expr_using_cmove (tree treeop0 ATTRIBUTE_UNUSED,
 
   /* Conditional move expansion can end up TERing two operands which,
      when recursively hitting conditional expressions can result in
-     exponential behavior if the cmove expansion ultimatively fails.
+     exponential behavior if the cmove expansion ultimately fails.
      It's hardly profitable to TER a cmove into a cmove so avoid doing
      that by failing early if we end up recursing.  */
   if (expanding_cond_expr_using_cmove)
@@ -9764,7 +9764,7 @@ expand_expr_real_1 (tree exp, rtx target, machine_mode tmode,
 	    case GIMPLE_BINARY_RHS:
 	      ops.op1 = gimple_assign_rhs2 (g);
 
-	      /* Try to expand conditonal compare.  */
+	      /* Try to expand conditional compare.  */
 	      if (targetm.gen_ccmp_first)
 		{
 		  gcc_checking_assert (targetm.gen_ccmp_next != NULL);
diff --git a/gcc/fibonacci_heap.h b/gcc/fibonacci_heap.h
index 554a142..d84e360 100644
--- a/gcc/fibonacci_heap.h
+++ b/gcc/fibonacci_heap.h
@@ -239,7 +239,7 @@ private:
   /* Remove NODE from PARENT's child list.  */
   void cut (fibonacci_node_t *node, fibonacci_node_t *parent);
 
-  /* Process cut of node Y and do it recursivelly.  */
+  /* Process cut of node Y and do it recursively.  */
   void cascading_cut (fibonacci_node_t *y);
 
   /* Extract minimum node from the heap.  */
@@ -538,7 +538,7 @@ fibonacci_heap<K,V>::cut (fibonacci_node<K,V> *node,
   node->m_mark = 0;
 }
 
-/* Process cut of node Y and do it recursivelly.  */
+/* Process cut of node Y and do it recursively.  */
 
 template<class K, class V>
 void
diff --git a/gcc/fold-const.c b/gcc/fold-const.c
index b0d03c9..1c0f11f 100644
--- a/gcc/fold-const.c
+++ b/gcc/fold-const.c
@@ -2752,7 +2752,7 @@ combine_comparisons (location_t loc,
    such as MODIFY_EXPR, RETURN_EXPR, as well as STATEMENT_LISTs.
 
    Unless OEP_MATCH_SIDE_EFFECTS is set, the function returns false on
-   any operand with side effect.  This is unnecesarily conservative in the
+   any operand with side effect.  This is unnecessarily conservative in the
    case we know that arg0 and arg1 are in disjoint code paths (such as in
    ?: operator).  In addition OEP_MATCH_SIDE_EFFECTS is used when comparing
    addresses with TREE_CONSTANT flag set so we know that &var == &var
@@ -2887,7 +2887,7 @@ operand_equal_p (const_tree arg0, const_tree arg1, unsigned int flags)
 	return 0;
     }
 
-  /* When not checking adddresses, this is needed for conversions and for
+  /* When not checking addresses, this is needed for conversions and for
      COMPONENT_REF.  Might as well play it safe and always test this.  */
   if (TREE_CODE (TREE_TYPE (arg0)) == ERROR_MARK
       || TREE_CODE (TREE_TYPE (arg1)) == ERROR_MARK
@@ -3157,7 +3157,7 @@ operand_equal_p (const_tree arg0, const_tree arg1, unsigned int flags)
 	case WIDEN_MULT_MINUS_EXPR:
 	  if (!OP_SAME (2))
 	    return 0;
-	  /* The multiplcation operands are commutative.  */
+	  /* The multiplication operands are commutative.  */
 	  /* FALLTHRU */
 
 	case TRUTH_AND_EXPR:
@@ -8124,7 +8124,7 @@ fold_truth_andor (location_t loc, enum tree_code code, tree type,
 	}
       /* Transform (A AND-IF B) into (A AND B), or (A OR-IF B)
 	 into (A OR B).
-	 For sequence point consistancy, we need to check for trapping,
+	 For sequence point consistency, we need to check for trapping,
 	 and side-effects.  */
       else if (code == icode && simple_operand_p_2 (arg0)
                && simple_operand_p_2 (arg1))
diff --git a/gcc/fortran/check.c b/gcc/fortran/check.c
index 45bc68e..dacf986 100644
--- a/gcc/fortran/check.c
+++ b/gcc/fortran/check.c
@@ -3430,7 +3430,7 @@ gfc_check_move_alloc (gfc_expr *from, gfc_expr *to)
       return false;
     }
 
-  /*  This is based losely on F2003 12.4.1.7. It is intended to prevent
+  /*  This is based loosely on F2003 12.4.1.7. It is intended to prevent
       the likes of to = sym->cmp1->cmp2 and from = sym->cmp1, where cmp1
       and cmp2 are allocatable.  After the allocation is transferred,
       the 'to' chain is broken by the nullification of the 'from'. A bit
@@ -4426,7 +4426,7 @@ is_c_interoperable (gfc_expr *expr, const char **msg, bool c_loc, bool c_f_ptr)
       }
     }
 
-  /* Note: The following checks are about interoperatable variables, Fortran
+  /* Note: The following checks are about interoperable variables, Fortran
      15.3.5/15.3.6.  In intrinsics like C_LOC or in procedure interface, more
      is allowed, e.g. assumed-shape arrays with TS 29113.  */
 
